Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.

Bug 998988

Summary: Unneeded libs in plplot-devel plplotd.pc
Product: [Fedora] Fedora Reporter: Tadej Janež <tadej.j>
Component: plplotAssignee: Orion Poplawski <orion>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: orion, sergio.pasra
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: plplot-5.9.9-20.svn12479.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-01-25 08:56:07 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1027073    
Bug Blocks:    

Description Tadej Janež 2013-08-20 09:29:55 EDT
Description of problem:
As discussed on the devel mailing-list [1], in plplot-devel-5.9.9-18.svn12474.fc20
-lshp was added to plplotd.pc  but the corresponding shapelib-devel package dep wasn't.

This causes build failures on packages that depend on plplot, e.g. techne:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5830063.

[1] https://lists.fedoraproject.org/pipermail/devel/2013-August/187990.html
Comment 1 Orion Poplawski 2013-08-23 13:16:01 EDT
Problem is actually that the pkgconfig file lists those libs in the first place.  I've removed them in plplot-5.9.9-20.svn12479.fc21.  Please give that a try.
Comment 2 Fedora End Of Life 2013-09-16 13:06:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Sergio Pascual 2013-12-05 06:19:05 EST
Can this be updated in F20?
Comment 4 Orion Poplawski 2013-12-05 13:24:28 EST
Blocked by a doxygen issue I'm afraid.  There does seem to be some progress upstream on it.
Comment 5 Fedora Update System 2013-12-27 12:09:45 EST
plplot-5.9.9-20.svn12479.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/plplot-5.9.9-20.svn12479.fc20
Comment 6 Fedora Update System 2013-12-27 21:01:09 EST
Package plplot-5.9.9-20.svn12479.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing plplot-5.9.9-20.svn12479.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23983/plplot-5.9.9-20.svn12479.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2014-01-25 08:56:07 EST
plplot-5.9.9-20.svn12479.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.